Hexchat CW1 plugin
==================

Implements the CW1 CTCP.

CW1 CTCP
========

Syntax:

    CW1 <rot13 text>

The `CW1` CTCP is the Type-1 CW. On clients that don't support `CW1`, it falls back to displaying rot13 text.

Because rot13 only affects the English alphabet, it is recommended to use CW1 only for text using the Latin alphabet - everything else gets displayed as-is on clients that don't support `CW1`.

`CW1` may appear multiple times in a message.

Examples:

    hello\x01CW1 pehry\x01world\x01CW1 !\x01

On a client that supports CW1:

    hello [hidden text 1 (click to expand)] world [hidden text 2 (click to expand)]

expands to:

    hello cruel world !

On a client that doesn't support CW1:

    hello CW1 pehry world CW1 !

(Some clients may display delimiter boxes around `CW1 pehry` and `CW1 !`, making it easier to distinguish where the hidden text ends from where non-hidden text starts)

Rot13 is already used in many mental health channels to "hide" triggering content pending further action from the user, which makes it a reasonable choice for a content warning CTCP.
